define([
    'text!../modules/mailto/mailto.html!strip'
    , 'css!../modules/mailto/mailto'
  ],
  function (source) {
    var response = {};
    response.data = source;
    response.callback = function () {
      $(document).ready(function() {
        var gadget = RenderJs.getSelfGadget();
        // fallback for old devices which cannot load <style> css
        if (gadget.dom.find(".el").css('width') !== "1px") {
          require(['text!../css/configure.css'], function (t) {
            var x = '<style>'+t+'</style>';
            // why does this not updat the DOM, too?
            gadget.dom.append(x);
          });
        }
        $(this).trigger("render_enhance", {gadget: gadget.dom});
      })
      .on('submit', '.mailer', function () {
        var form = $(this),
          first = "info",
          last = "iaasadvisor.com"
          mailto = "mailto:"+first+"@"+last+"?",
          subject = "subject=Website enquiry&",
          message = "body="+$('#msg_comment').val(),
          bcc = $('#msg_cc').is(':checked') ? "bcc=" + form.find('#msg_address').val() + "&" : "";
        window.location.replace(mailto+bcc+subject+message);
        $.mobile.changePage("thanks.html", {"transitions":"slide"});
        return false;
      });
    };
    // return response object
    return response;
  }
);
